Delete specific address - Fabric

Delete specific address

cURL

curl --request DELETE \
  --url https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}"

headers = {
    "x-site-context": "<x-site-context>",
    "x-api-key": "<api-key>"
}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', 'x-api-key': '<api-key>'}
};

fetch('https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "x-api-key: <api-key>",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {
    url := "https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java (Unirest)

HttpResponse<String> response = Unirest.delete("https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}")
  .header("x-site-context", "<x-site-context>")
  .header("x-api-key", "<api-key>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://demo.fabric.zone/api-commerceIdentity/user/{userId}/address/{addressId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["x-site-context"] = '<x-site-context>'
request["x-api-key"] = '<api-key>'

response = http.request(request)
puts response.read_body

Responses

Example Response

Success:

[
  {
    "address1": "1234 Main St.",
    "city": "Houston",
    "state": "TX",
    "country": "USA",
    "zipCode": 77035,
    "email": "test@mail.com",
    "isValidated": true,
    "isDefault": true,
    "attention": "Account Manager",
    "address2": "Suite 710",
    "address3": "Floor 7",
    "company": "Acme Inc.",
    "kind": "Business",
    "phone": {
      "number": "555-123-4567",
      "kind": "Mobile"
    },
    "name": {
      "first": "Pat",
      "last": "Kake"
    }
  }
]

Error:

{
  "error": "ADDRESS_NOT_FOUND",
  "code": "404",
  "message": "Address not found"
}
{
  "error": "INTERNAL_SERVER_ERROR",
  "code": "500",
  "message": "Internal server error"
}

Authorization

Headers

Path Parameters